Subject: [PATCH v2 0/2] gnu: Add pdns.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 4 Mar 2019 17:19:53 +0100

From: Tobias Geerinckx-Rice <[email-masked]>

Ludo',

Thanks for the review and sorry for the late reply.  I've think I've addressed all your points below, apart from the last one.

I've also added Ruby and Perl to run the full test suite, and tried to make the ‘move-tools’ phase a bit more straightforward.

Ludovic Courtès wrote:
> What about “powerdns” then?
>
> Tobias Geerinckx-Rice <[email-masked]> skribis:
>> [blah blah blah blah]
>
> Alright, go for “pdns” then!  Sorry for asking.  ;-)

You'll never make that mistake again.

> We could do that indeed!  Well the backend itself may be free, but
> it's useless without the non-free piece of software, so it makes
> sense to remove it (as long as the build system allows it.)

OK.

> I think you can avoid @dfn here as well.  :-)

OK.  Replaced with @acronym if that's all right.

> A few questions:
>
>   • Are things under ext/ simply bundled libraries?  If so, do you think
>     there’s something we could/should do about them?

There are 3 libraries under ext/:

- json11 (https://github.com/dropbox/json11) is a one-C++-file library
  without own build system, intended for bundling;

- luawrapper is just a lone header file (LuaContext.hpp);

- yahttp (https://github.com/cmouse/yahttp) is most like a real package,
  and while the README instructs developers to just plonk its headers in
  with their own and ship it that way, I was able to package & use it.

>   • I suppose we don’t build and thus don’t care about the license of
>     modules/oraclebackend, do we?  :-)

Out it goes.

>   • The license of m4/* doesn’t matter for the combined work; I’d just
>     remove it.

Done.

>   • GPLv2-only code cannot be combined with GPLv3+ code.  Is it really
>     what’s happening?

I think so:

  $ head pdns/ssqlite3.cc 
  /*  SQLite backend for PowerDNS
   *  Copyright (C) 2003, Michel Stol <[email-masked]>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License version 2
   *  as published by the Free Software Foundation.
   *
   *  Additionally, the license of this program contains a special
   *  exception which allows to distribute the program in binary form when
   *  it is linked against OpenSSL.

Is this really a deal-breaker?

We could disable the sqlite and LDAP back ends (hardly ideal) but pdns/tcpreceiver.cc is linked into the core pdns_server…

Uh oh,

T G-R

Tobias Geerinckx-Rice (2):
  gnu: Add yahttp.
  gnu: Add pdns.

 gnu/packages/dns.scm | 176 +++++++++++++++++++++++++++++++++++++++++++
 gnu/packages/web.scm |  42 +++++++++++
 2 files changed, 218 insertions(+)

-- 
2.20.1